/**
 * @file Config - rules
 * @module commitlint-config/config/rules
 */
import type { RulesConfig } from '../interfaces/index.mjs';
/**
 * Commit rules.
 *
 * Enforces [conventional commits][1].
 *
 * [1]: https://www.conventionalcommits.org
 *
 * @see {@linkcode RulesConfig}
 * @see https://commitlint.js.org/#/reference-rules
 *
 * @const {RulesConfig} rules
 */
declare const rules: RulesConfig;
export default rules;
