/**
 * @file Utilities - types
 * @module commitlint-config/utils/types
 */
import { Type } from '../enums/index.mjs';
import type { LiteralUnion } from '@flex-development/tutils';
/**
 * Returns an array containing valid commit types.
 *
 * @param {(Set<string> | string[])?} [extras=[]] - Additional commit types
 * @return {LiteralUnion<Type, string>[]} Commit types array
 */
declare const types: (extras?: Set<string> | string[]) => LiteralUnion<Type, string>[];
export default types;
